/*
 * Copyright 2009 Cedric Priscal
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package kr.nipa.smartui.phone.ui;

import kr.nipa.smartui.phone.framework.common.cough.MessageReceiverController;

public class Application extends android.app.Application {
//	private MessageReceiver _MessageReceiver = null;
	private MessageReceiverController _MessageReceiverController = null;

//	public MessageReceiver getMessageReceiver() {
//		if (_MessageReceiver == null) {
//			_MessageReceiver = new MessageReceiver();
//	     	_MessageReceiver.setDaemon(true);
//	     	_MessageReceiver.start();
//		}
//		
//		if (_MessageReceiver.isInterrupted()) {
//			_MessageReceiver.start();
//		}
//		
////		if (!_MessageReceiver._IsConnected) {
////			if (_MessageReceiver.connect()) {			
////				_MessageReceiver.start();
////			}
////		}
//		
//		return _MessageReceiver;
//	}
	public MessageReceiverController getMessageReceiverController() {
		if (_MessageReceiverController == null) {
			_MessageReceiverController = new MessageReceiverController(this);
			_MessageReceiverController.setDaemon(true);
			_MessageReceiverController.start();
		}
		
		return _MessageReceiverController;
	}
}
