package kr.nipa.smartui.phone.ui.cough.message;

import java.util.ArrayList;
import android.app.ActivityGroup;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class COMS0100ActivityManager extends ActivityGroup {
	public static COMS0100ActivityManager myInstance = null;
	
	private ArrayList<View> _History = null;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);        
        
		myInstance = this;
        
        _History = new ArrayList<View>();
        
        Intent intent = new Intent(COMS0100ActivityManager.this, coms0101a.class);
        View view = getLocalActivityManager().startActivity("kr.nipa.smartui.pad.ui.cough.message.coms0101a", intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP)).getDecorView();
        replaceView(view);
    }
	
/* region 메서드이다. *****************************************************************************************************/
    
	@Override
    public void onBackPressed() {
    	myInstance.back();
    	
    	return;
    }
    
    public void replaceView(View view) {
    	_History.add(view);
    	
    	setContentView(view);
    }
    
    public void current() {
    	if (_History.size() == 0) {
			finish();
		}
		else {
			setContentView(_History.get(_History.size()));
		}
    }
    
    private void back() {
    	if (_History.size() >= 1) {
    		_History.remove(_History.size() - 1);
    		
    		if (_History.size() == 0) {
    			finish();
    		}
    		else {
    			setContentView(_History.get(_History.size() - 1));
    		}
    	}
    	else {
    		finish();
    	}
    }
}