package kr.nipa.smartui.phone.ui.cough.message;

import kr.nipa.smartui.phone.R;
import kr.nipa.smartui.phone.framework.base.cough.TabActivityBase;
import kr.nipa.smartui.phone.framework.db.cough.DbOpenHelper;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TabHost;
import android.widget.TabHost.OnTabChangeListener;

public class coms0100a extends TabActivityBase implements OnTabChangeListener {
	private DbOpenHelper _DbOpenHelper = null;
	
	private TabHost _TAB_HOST = null;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		setContentView(R.layout.ui_coms0100a);
        super.onCreate(savedInstanceState);  
        
        try {
			_DbOpenHelper = new DbOpenHelper(this);
			
			_TAB_HOST = (TabHost)findViewById(android.R.id.tabhost);
	        
	        _TAB_HOST.addTab(_TAB_HOST.newTabSpec(getString(R.string.cough_message_tabpage_id_send_message))
//					                             .setIndicator(getString(R.string.cough_data_tabpage_text_clear_prescription), getResources().getDrawable(android.R.drawable.ic_menu_more))
					                             .setIndicator("")
					                             .setContent(new Intent(this, COMS0100ActivityManager.class)));
	        									 
	        _TAB_HOST.addTab(_TAB_HOST.newTabSpec(getString(R.string.cough_message_tabpage_id_send_prescriptions))
//							                     .setIndicator(getString(R.string.cough_data_tabpage_text_clear_userset), getResources().getDrawable(android.R.drawable.ic_menu_more))
							                     .setIndicator("")
							                     .setContent(new Intent(this, COMS0100ActivityManager.class)));
	        
	        _TAB_HOST.getTabWidget().getChildAt(0).setBackgroundDrawable(getResources().getDrawable(R.drawable.cough_senddata_tab_sendmessage_selector));
	        _TAB_HOST.getTabWidget().getChildAt(1).setBackgroundDrawable(getResources().getDrawable(R.drawable.cough_senddata_tab_sendprescriptions_selector));
	        
	        _TAB_HOST.getTabWidget().getChildAt(0).getLayoutParams().height = 61;
	        _TAB_HOST.getTabWidget().getChildAt(1).getLayoutParams().height = 61;
	        
	        _TAB_HOST.getTabWidget().getChildAt(1).setEnabled(false);
	        
	        _TAB_HOST.setOnTabChangedListener(this);
	        
//	        // 초기화한다.
//        	initialize();
		}
		catch (Exception ex) {
//			showOkDialogError(ex);
		}
    }
	
/* region 이벤트 핸들러이다. *****************************************************************************************************/
	
	@Override
	public void onTabChanged(String tabId) {
		Intent intent = null;
		
		try {
			if (tabId == getString(R.string.cough_message_tabpage_id_send_message)) {
				intent = new Intent(this, coms0101a.class);
				intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP);
				View view = COMS0100ActivityManager.myInstance.getLocalActivityManager().startActivity("kr.nipa.smartui.pad.ui.cough.message.coms0101a", intent).getDecorView();
				COMS0100ActivityManager.myInstance.replaceView(view);
			}
			else if (tabId == getString(R.string.cough_message_tabpage_id_send_prescriptions)) {
//				intent = new Intent(this, coms0102a.class);
//				intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP);
//				View view = COMS0100ActivityManager.myInstance.getLocalActivityManager().startActivity("kr.nipa.smartui.pad.ui.cough.message.coms0102a", intent).getDecorView();
//				COMS0100ActivityManager.myInstance.replaceView(view);
				return;
			}
		}
		catch (Exception ex) {
//			showOkDialogError(ex);
		}
	}
	
/* region 메서드이다. *****************************************************************************************************/
	
}